%define pkg slides
%define uri 3.1.0
Summary: DocBook Slides document type and stylesheets
Name: docbook-%{pkg}%(echo %{uri} | tr -d .)
Version: 3.3.1
Release: 0.1
License: BSD
Group: Applications/Text
URL: http://sourceforge.net/projects/docbook
Source0: %{pkg}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: libxml2

Requires: docbook-dtds
Requires: docbook-xsl

%description
This package contains the XML document type definition and
stylesheets for processing DocBook Slides XML.

%prep
%setup -q -n %{pkg}-%{version}

%build
xmlcatalog --noout --add "rewriteSystem" \
  "http://docbook.sourceforge.net/release/slides/3.1.0/" \
  /usr/share/sgml/%{pkg}-%{uri}/ catalog.xml
xmlcatalog --noout --add "rewriteURI" \
  "http://docbook.sourceforge.net/release/slides/3.1.0/" \
  /usr/share/sgml/%{pkg}-%{uri}/ catalog.xml

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT/usr/share/sgml/%{pkg}-%{uri}
mkdir -p $DESTDIR
cp -a . $DESTDIR

%clean
rm -rf $RPM_BUILD_ROOT

%post
CATALOG=/usr/share/sgml/%{pkg}-%{uri}/catalog.xml
#
# Register it in the super catalog with the appropriate delegates
#
ROOTCATALOG=/etc/xml/catalog

if [ ! -r $ROOTCATALOG ]
then
    /usr/bin/xmlcatalog --noout --create $ROOTCATALOG
fi

if [ -w $ROOTCATALOG ]
then
        /usr/bin/xmlcatalog --noout --add "delegatePublic" \
                "-//Norman Walsh//DTD Slides" \
                "file://$CATALOG" $ROOTCATALOG
	# Next line is for (seemingly) a typo in the catalog
        /usr/bin/xmlcatalog --noout --add "delegatePublic" \
                "-//Norman Walsh//DTD slides" \
                "file://$CATALOG" $ROOTCATALOG
        /usr/bin/xmlcatalog --noout --add "delegateSystem" \
                "http://docbook.sourceforge.net/release/%{pkg}/%{uri}" \
                "file://$CATALOG" $ROOTCATALOG
        /usr/bin/xmlcatalog --noout --add "delegateURI" \
                "http://docbook.sourceforge.net/release/%{pkg}/%{uri}" \
                "file://$CATALOG" $ROOTCATALOG
fi

%postun
#
# On removal, unregister the xmlcatalog from the supercatalog
#
if [ "$1" = 0 ]; then
    CATALOG=/usr/share/sgml/%{pkg}-%{uri}/catalog.xml
    ROOTCATALOG=/etc/xml/catalog

    if [ -w $ROOTCATALOG ]
    then
            /usr/bin/xmlcatalog --noout --del \
                   "-//Norman Walsh//DTD Slides" $ROOTCATALOG
            /usr/bin/xmlcatalog --noout --del \
                   "-//Norman Walsh//DTD slides" $ROOTCATALOG
            /usr/bin/xmlcatalog --noout --del \
            "http://docbook.sourceforge.net/release/%{pkg}/%{uri}" $ROOTCATALOG
            /usr/bin/xmlcatalog --noout --del \
            "http://docbook.sourceforge.net/release/%{pkg}/%{uri}" $ROOTCATALOG
    fi
fi

%files
%defattr(-,root,root,-)
%doc
/usr/share/sgml/%{pkg}-%{uri}

%changelog
* Mon Feb  2 2004 Tim Waugh <twaugh@redhat.com> 3.3.1-0.1
- 3.3.1.

* Tue Dec 23 2003 Tim Waugh <twaugh@redhat.com> 3.3.0-0.1
- 3.3.0.

* Wed Oct 22 2003 Tim Waugh <twaugh@redhat.com> 3.2.0-0.1
- Initial build.


